ch.qos.logback.core.net

## Interface ObjectWriter

All Known Implementing Classes:
  AutoFlushingObjectWriter

    public interface ObjectWriter

Writes objects to an output.

Author:
  Sebastian Gröbler

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `write(Object object)` Writes an object to an output.

### Method Detail

#### write

    void write(Object object)
        throws IOException

Writes an object to an output.

Parameters:
  `object` - the `Object` to write
Throws:
  `IOException` - in case input/output fails, details are defined by the implementation